Loading...
Searching...
No Matches
NonEquilibriumFluidState.hpp File Reference

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system not assuming thermodynamic equilibrium. More...

`#include "ModularFluidState.hpp"`
`#include <opm/material/common/Valgrind.hpp>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Opm::NonEquilibriumFluidState< Scalar, FluidSystem, true >
class | Opm::NonEquilibriumFluidState< Scalar, FluidSystem, false >

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system not assuming thermodynamic equilibrium.